Update a VM
PATCH
Renames the VM, changes its auto-sleep or who can open its services. Every field is optional.
apiKeyheader
AuthorizationBearer <hmk_…>An API key from the dashboard or homemade api-key create.
vmId*stringapplication/json- body
keepServicesRunning?boolean|nullname?stringLength
length <= 50shareLevels?sleepAfterMinutes?integerRange
0 <= value <= 9007199254740991Saved.
application/json- response
ok*booleancurl -X PATCH 'https://api.homemade.dev/api/vms/string' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "ok": true}